lest_dep = subproject('lest').get_variable('lest_dep')

boost_dep = dependency('boost', modules: ['log'])

url_tests = executable('url_tests',
  '../../tests/unit/UrlTests.cpp',
  dependencies: [restc_cpp_dep, lest_dep],
)

json_serialize_tests = executable('json_serialize_tests',
  '../../tests/unit/JsonSerializeTests.cpp',
  dependencies: [restc_cpp_dep, boost_dep, lest_dep],
)

json_iostream_tests = executable('json_iostream_tests',
  '../../tests/unit/Iostream2JsonTests.cpp',
  dependencies: [restc_cpp_dep, boost_dep, lest_dep],
)

http_reply_tests = executable('http_reply_tests',
  '../../tests/unit/HttpReplyTests.cpp',
  dependencies: [restc_cpp_dep, boost_dep, lest_dep],
)

async_sleep_tests = executable('async_sleep_tests',
  '../../tests/unit/AsyncSleepTests.cpp',
  dependencies: [restc_cpp_dep, boost_dep, lest_dep],
)

request_builder_tests = executable('request_builder_tests',
  '../../tests/unit/RequestBuilder.cpp',
  dependencies: [restc_cpp_dep, lest_dep],
)

test('url_tests', url_tests)
test('json_serialize_tests', json_serialize_tests)
test('json_iostream_tests', json_iostream_tests)
test('http_reply_tests', http_reply_tests)
test('async_sleep_tests', async_sleep_tests)
test('request_builder_tests', request_builder_tests)
